Bug 1819367 - [abrt] gnome-clocks: g_date_time_to_instant(): gnome-clocks killed by SIGSEGV
Summary: [abrt] gnome-clocks: g_date_time_to_instant(): gnome-clocks killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-clocks
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a9d8837505869cf8fc9513b7598...
: 1820225 1820935 1821520 1821699 1822700 1823009 1823073 1823681 1824000 (view as bug list)
Depends On:
Blocks: F32FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-03-31 18:59 UTC by Peter
Modified: 2020-04-20 17:34 UTC (History)
22 users (show)

Fixed In Version: gnome-clocks-3.36.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 22:07:56 UTC
Type: ---


Attachments (Terms of Use)
File: cpuinfo (2.33 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: dso_list (9.76 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: environ (1.52 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: exploitable (102 bytes, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: maps (57.88 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: mountinfo (2.75 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: open_fds (1.42 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details
File: var_log_messages (217 bytes, text/plain)
2020-03-31 18:59 UTC, Peter
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-clocks - issues 91 None None None 2020-04-03 18:50:17 UTC

Description Peter 2020-03-31 18:59:29 UTC
Version-Release number of selected component:
gnome-clocks-3.36.0-1.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.clocks.slice/dbus-:1.2-org.gnome.clocks@0.service
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=927586b0e0494a158e550fa30eee0270;i=c5bf;b=52e55e064ac147339daab2ca44678c40;m=c2634d6;t=5a22b08c8f43d;x=3570adf037d3e769
kernel:         5.6.0-300.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_date_time_to_instant at ../glib/gdatetime.c:2709
 #1 g_date_time_to_timezone at ../glib/gdatetime.c:2709
 #2 clocks_world_item_calculate_riseset at src/25a6634
 #3 clocks_world_item_real_tick at src/25a6634

Comment 1 Peter 2020-03-31 18:59:34 UTC
Created attachment 1675211 [details]
File: backtrace

Comment 2 Peter 2020-03-31 18:59:36 UTC
Created attachment 1675212 [details]
File: core_backtrace

Comment 3 Peter 2020-03-31 18:59:38 UTC
Created attachment 1675213 [details]
File: cpuinfo

Comment 4 Peter 2020-03-31 18:59:40 UTC
Created attachment 1675214 [details]
File: dso_list

Comment 5 Peter 2020-03-31 18:59:41 UTC
Created attachment 1675215 [details]
File: environ

Comment 6 Peter 2020-03-31 18:59:43 UTC
Created attachment 1675216 [details]
File: exploitable

Comment 7 Peter 2020-03-31 18:59:44 UTC
Created attachment 1675217 [details]
File: limits

Comment 8 Peter 2020-03-31 18:59:47 UTC
Created attachment 1675218 [details]
File: maps

Comment 9 Peter 2020-03-31 18:59:49 UTC
Created attachment 1675219 [details]
File: mountinfo

Comment 10 Peter 2020-03-31 18:59:51 UTC
Created attachment 1675220 [details]
File: open_fds

Comment 11 Peter 2020-03-31 18:59:52 UTC
Created attachment 1675221 [details]
File: proc_pid_status

Comment 12 Peter 2020-03-31 18:59:54 UTC
Created attachment 1675222 [details]
File: var_log_messages

Comment 13 Mark 2020-04-02 14:35:18 UTC
*** Bug 1820225 has been marked as a duplicate of this bug. ***

Comment 14 Markus Rathgeb 2020-04-03 20:26:18 UTC
Similar problem has been detected:

I don't know how this could be related to "gnome-clocks", but I unmounted an USB drive using the gnome file manager.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.clocks.slice/dbus-:1.2-org.gnome.clocks@9.service
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=d38b93ba28474c37856e3c65b0f2917c;i=2753e;b=39c1a699071d408e89b763959fcf24d0;m=1921c5bb3;t=5a26894e4220e;x=47dd9e587f6c1df
kernel:         5.6.0-300.fc32.x86_64
package:        gnome-clocks-3.36.0-1.fc32
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 eliot.d.hedeman 2020-04-04 22:09:43 UTC
*** Bug 1820935 has been marked as a duplicate of this bug. ***

Comment 16 Ramprasad G 2020-04-07 01:30:45 UTC
*** Bug 1821520 has been marked as a duplicate of this bug. ***

Comment 17 fred 2020-04-07 12:39:13 UTC
*** Bug 1821699 has been marked as a duplicate of this bug. ***

Comment 18 Lukas Ruzicka 2020-04-07 23:22:14 UTC
Similar problem has been detected:

I was trying to run Google Chrome. It normally started, but I realized that the crash of Gnome Clocks was reported.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.clocks.slice/dbus-:1.2-org.gnome.clocks@22.service
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=94b470708c89455c91a6eeab5b47e292;i=10fabb;b=3e7c3befd0334fa998f8fe9616a5bc32;m=594cce9cda;t=5a2b50b385b15;x=ae9dfa9986975155
kernel:         5.6.0-0.rc7.git0.2.fc32.x86_64
package:        gnome-clocks-3.36.0-1.fc32
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:

Comment 19 Tao Bojlén 2020-04-08 09:22:28 UTC
Similar problem has been detected:

gnome-clocks quit unexpectedly, though I did not notice anything unusual on my desktop. Everything looked normal.

reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=3493b6f5d7024643850497f58ae0b4ad;i=6b0e5;b=87a111d53788497a9ec764308cda02e4;m=a19c20a8;t=5a2c3ec325a8b;x=34a6e6184fc65fea
kernel:         5.6.2-301.fc32.x86_64
package:        gnome-clocks-3.36.0-1.fc32
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Caleb McKay 2020-04-09 16:11:28 UTC
*** Bug 1822700 has been marked as a duplicate of this bug. ***

Comment 21 fred 2020-04-10 22:12:52 UTC
*** Bug 1823009 has been marked as a duplicate of this bug. ***

Comment 22 Gerardo Rosales 2020-04-11 12:32:02 UTC
*** Bug 1823073 has been marked as a duplicate of this bug. ***

Comment 23 Carles Pla 2020-04-14 09:15:20 UTC
*** Bug 1823681 has been marked as a duplicate of this bug. ***

Comment 24 Michael Catanzaro 2020-04-14 13:20:05 UTC
Looking at the backtraces for this and the duplicate bug reports, so far we only have full backtraces from users living very far north, in which case the sunrise/sunset calculation goes wrong, resulting in this crash. That's now fixed upstream.

But I hit this crash too, living in the continental US, and I don't know why. I suspect there is a different reason this crash can occur. I can't reproduce, so can't get a full backtrace. If anyone living in areas with more typical sunrise/sunset is hitting this bug and able to help with getting a backtrace, that would be appreciated. The crash will be gone in the next update regardless, but we still want to know what's going wrong so we can avoid broken functionality.

Comment 25 Fedora Blocker Bugs Application 2020-04-14 20:01:23 UTC
Proposed as a Freeze Exception for 32-final by Fedora user catanzaro using the blocker tracking app because:

 Definitely not serious enough to be a blocker, but gnome-clocks runs as a system service on the live media and it would be nice for background services to not crash. Poor first impression for live media users.

The impact is a little uncertain and still under investigation. It seems this bug most prominently affects users who live close to or above the arctic circle, but I hit it once myself, so that can't be the only cause here.

Comment 26 Fedora Update System 2020-04-14 20:02:08 UTC
FEDORA-2020-73dd8ea80a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-73dd8ea80a

Comment 27 Michael Catanzaro 2020-04-14 20:04:42 UTC
Not actually sure if private bugs can be freeze exceptions, but I marked this private because the backtrace contains latitude/longitude coordinates with a high degree of precision.

Comment 28 Adam Williamson 2020-04-14 20:07:44 UTC
you can mark the attachment private without making the entire bug private. doing so.

Comment 29 Adam Williamson 2020-04-14 20:11:07 UTC
+1 FE since it can produce a crash notification without any user interaction in some cases. (this could actually be proposed as a blocker as a conditional violation of https://fedoraproject.org/wiki/Fedora_32_Final_Release_Criteria#SELinux_and_crash_notifications , but I'd probably be -1 to that as it doesn't sound like it's common enough).

Comment 30 Ben Cotton 2020-04-14 20:14:27 UTC
+1 FE

Comment 31 Mohan Boddu 2020-04-14 20:14:39 UTC
Definitely +1 FE, if it is affecting more people, then I will go with +1 Blocker

Comment 32 Kevin Fenzi 2020-04-14 20:15:35 UTC
+1 FE

Comment 33 Adam Williamson 2020-04-14 20:23:17 UTC
That's +4, marking accepted.

Comment 34 Fedora Update System 2020-04-14 21:10:44 UTC
FEDORA-FLATPAK-2020-ff41d5d838 has been submitted as an update to Fedora 32 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ff41d5d838

Comment 35 Fedora Update System 2020-04-14 21:13:45 UTC
FEDORA-FLATPAK-2020-ff41d5d838 has been pushed to the Fedora 32 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ff41d5d838

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2020-04-14 21:45:30 UTC
FEDORA-FLATPAK-2020-ff41d5d838 has been pushed to the Fedora 32 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 37 Fedora Update System 2020-04-14 22:07:56 UTC
FEDORA-2020-73dd8ea80a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 38 gunite 2020-04-15 03:03:20 UTC
*** Bug 1824000 has been marked as a duplicate of this bug. ***

Comment 39 ricky.tigg 2020-04-15 10:33:38 UTC
Similar problem has been detected:

Search processed on Gnome desktop

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.clocks.slice/dbus-:1.2-org.gnome.clocks@5.service
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=41d4419690b34adda6c29d69521ddb4d;i=17d17;b=f541858485a04900b187caec4cf38e2d;m=28a4f8aa7;t=5a351b8ef84f3;x=982888a5a466482d
kernel:         5.6.4-300.fc32.x86_64
package:        gnome-clocks-3.36.0-1.fc32
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 Jonathan Haas 2020-04-15 17:18:49 UTC
Similar problem has been detected:

Happened randomly in background

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.clocks.slice/dbus-:1.2-org.gnome.clocks@4.service
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-clocks
journald_cursor: s=ea0736aea53047739df750a3ec5562fb;i=a6bbd;b=51fec6512e844c3bb1c8432c5064c5e0;m=6ecb3724c;t=5a32aed73e131;x=e4140935fb9fbb4f
kernel:         5.6.0-300.fc32.x86_64
package:        gnome-clocks-3.36.0-1.fc32
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.